Page MenuHomePhabricator

Prepare and check storage layer for nqowiki
Closed, ResolvedPublic

Description

As part of the new wiki creation process and as per our instructions, please be advised:

  • Project: Wikipedia.
  • Type: Public wiki.

Related Objects

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 15 2019, 10:47 AM
bd808 edited projects, added Data-Services; removed Cloud-Services.Aug 16 2019, 9:13 AM
bd808 moved this task from Backlog to Wiki replicas on the Data-Services board.
CDanis triaged this task as Normal priority.Aug 16 2019, 12:55 PM
Marostegui added a subscriber: Marostegui.

Once this wiki is created, please let us know so we can sanitize it on labs and sanitarium before creating the views on the wikireplicas.

Change 539163 had a related patch set uploaded (by Ladsgroup; owner: Ladsgroup):
[operations/dns@master] Add nqo to langlist

https://gerrit.wikimedia.org/r/539163

@Marostegui The wiki is up, please do what needs to be done 🔨

Marostegui moved this task from Blocked external/Not db team to In progress on the DBA board.

Mentioned in SAL (#wikimedia-operations) [2019-09-26T06:41:34Z] <marostegui> Sanitize nqowiki on db1124:3313 and db2094:3313 - T230543

I have sanitized both db1124:3313 and db2094:3313 (sanitariums).
All the users have been sanitized correctly and my username was created correctly (so the triggers worked).
I am going to run a check data though on the labs hosts to make sure there is nothing there before handling this for views creations

Marostegui removed Marostegui as the assignee of this task.Fri, Sep 27, 12:35 PM
Marostegui edited projects, added cloud-services-team; removed Patch-For-Review.
Marostegui moved this task from In progress to Done on the DBA board.
Marostegui added subscribers: Bstorm, Jason1978nian.

db1124 (sanitarium), db2094 (sanitarium), labsdb1009, 1010, 1011 and 1012 are clean.
I have created the nqowiki_p on the 4 hosts.
Also created the grant on all the hosts:

root@labsdb1009.eqiad.wmnet[(none)]> pager grep nqowiki
PAGER set to 'grep nqowiki'
root@labsdb1009.eqiad.wmnet[(none)]> show grants for 'labsdbuser';
| GRANT SELECT, SHOW VIEW ON `nqowiki\_p`.* TO 'labsdbuser'                |
908 rows in set (0.00 sec)

This is ready for the views creation on labsdb1009, 1010, 1011 and 1012 by cloud-services-team

bd808 claimed this task.Thu, Oct 10, 6:55 PM

Mentioned in SAL (#wikimedia-cloud) [2019-10-10T18:55:34Z] <bd808> Created indexes and views for nqowiki (T230543)

bd808 closed this task as Resolved.Thu, Oct 10, 7:14 PM
Updates on labsdb10{09,10,11,12}
$ sudo /usr/local/sbin/maintain-replica-indexes --database nqowiki --debug
$ sudo /usr/local/sbin/maintain-views --databases nqowiki --debug
$ sudo /usr/local/sbin/maintain-meta_p --databases nqowiki 
Updates on cloudcontrol1003
$ sudo su -
$ source /root/novaenv.sh
$ /usr/local/sbin/wmcs-wikireplica-dns --aliases
2019-10-10T18:57:19Z mwopenstackclients.DnsManager WARNING : Creating nqowiki.analytics.db.svc.eqiad.wmflabs.
2019-10-10T19:02:16Z mwopenstackclients.DnsManager WARNING : Creating nqowiki.web.db.svc.eqiad.wmflabs.
Testing from Toolforge
$ sql nqowiki
(u3518@nqowiki.analytics.db.svc.eqiad.wmflabs) [nqowiki_p]> select * from page limit 1\G
*************************** 1. row ***************************
           page_id: 1
    page_namespace: 0
        page_title: ߓߏ߬ߟߏ߲߬ߘߊ
 page_restrictions:
  page_is_redirect: 0
       page_is_new: 0
       page_random: 0.945748564533
      page_touched: 20191004040958
page_links_updated: 20190927005735
       page_latest: 2879
          page_len: 22
page_content_model: wikitext
         page_lang: NULL
1 row in set (0.01 sec)
$ sql --cluster=web nqowiki
(u3518@nqowiki.web.db.svc.eqiad.wmflabs) [nqowiki_p]> select * from page limit 1\G
*************************** 1. row ***************************
           page_id: 1
    page_namespace: 0
        page_title: ߓߏ߬ߟߏ߲߬ߘߊ
 page_restrictions:
  page_is_redirect: 0
       page_is_new: 0
       page_random: 0.945748564533
      page_touched: 20191004040958
page_links_updated: 20190927005735
       page_latest: 2879
          page_len: 22
page_content_model: wikitext
         page_lang: NULL
1 row in set (0.01 sec)
$ sql meta
(u3518@s7.analytics.db.svc.eqiad.wmflabs) [meta_p]> select * from wiki where dbname = 'nqowiki'\G
*************************** 1. row ***************************
          dbname: nqowiki
            lang: nqo
            name: ߥߞߌߔߘߋߞߎ
          family: wikipedia
             url: https://nqo.wikipedia.org
            size: 1
           slice: s3.labsdb
       is_closed: 0
        has_echo: 1
 has_flaggedrevs: 0
has_visualeditor: 1
    has_wikidata: 1
    is_sensitive: 0
1 row in set (0.01 sec)